Bug 110711 - view advisory button should be inactive if no description is available
view advisory button should be inactive if no description is available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 18:37 EST by Pieter Eendebak
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 12:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pieter Eendebak 2003-11-23 18:37:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
During selection of available packages there is a button to show
(security) advisories (View advisory). If there is no advisory
available for the package the button returns a popup window with "No
advisory information available.".

I think it is more natural to make the button inactive whenever there
is no advisory available. This should be quite easy to implement and
saves the user a lot of time.



Version-Release number of selected component (if applicable):
up2date-4.1.16-1

How reproducible:
Always

Steps to Reproduce:
1.Start up2date
2.
3.
    

Additional info:
Comment 1 Alex Hornby 2004-01-04 06:29:19 EST
Does up2date even support displaying advisories when updating from yum
or apt?

I would hope so, as otherwise how would I know what I'm being asked to
install...

E.g. when a kernel update appears is it due to a local or remote
security problem? - if is local I might not bother, but if its a
remote vunerability then I definitely want to install it. Without the
advisory information its hard to make that choice.
Comment 2 Adrian Likins 2004-01-05 12:27:59 EST
up2date does not support showing advisories when updating from
yum or apt since yum/apt repos dont include any information
about advisories. 

Note You need to log in before you can comment on or make changes to this bug.